import 'package:flutter/material.dart';
import 'package:get/get.dart' hide Progress;
import 'package:progamification/src/controllers/leader_board.dart';
import 'package:progamification/src/widgets/coins.dart';
import 'package:progamification/src/widgets/progress.dart';
import 'package:progamification/src/widgets/rewards.dart';

class Achievements extends StatefulWidget {
  const Achievements({super.key});

  @override
  State<Achievements> createState() => _AchievementsState();
}

class _AchievementsState extends State<Achievements> {
  LeaderBoardController leaderBoardController =
      Get.find<LeaderBoardController>();
  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: const BoxDecoration(
          color: Colors.white,
        ),
        child: FutureBuilder<Map<String, dynamic>>(
            future: leaderBoardController.getRewards(
                "guna@pro", "6440c9b54a1e1dbe73bf2040"),
            builder: (context, snapshot) {
              return Column(children: [
                Progress(snapshot: snapshot),
                const Coins(),
                Rewards(snapshot: snapshot)
              ]);
            }));
  }
}
